Loading...
Searching...
No Matches
XdbcFirebirdSqlUtilBase Namespace Reference

the XdbcFirebirdSqlUtilBase namespace contains all the objects in the XdbcFirebirdSqlUtilBase module More...

## Classes

class | XdbcFirebirdColumn
| represents a XdbcFirebird-specific column More...
class | XdbcFirebirdDatabase
| provides the Firebird-specific implementation of the AbstractDatabase interface More...
class | XdbcFirebirdForeignConstraint
| represents a Firebird-specific foreign constraint More...
class | XdbcFirebirdIndex
| represents a Firebird-specific index More...
class | XdbcFirebirdPrimaryKey
| represents a Firebird-specific primary key constraint More...
class | XdbcFirebirdSavepointHelper
| XdbcFirebird savepoint helper. More...
class | XdbcFirebirdSequence
| class for XDBC Firebird sequences More...
class | XdbcFirebirdTable
| provides the XdbcFirebird-specific implementation of the AbstractTable interface More...
class | XdbcFirebirdTrigger
| represents a Firebird-specific trigger More...
class | XdbcFirebirdView
| represents a Firebird view More...

## Functions

XdbcFirebirdDatabase | get_database (AbstractDatasource nds, *hash< auto > opts)
| returns a XdbcFirebirdDatabase object corresponding to the arguments
XdbcFirebirdTable | get_table (AbstractDatasource nds, string nname, *hash< auto > opts)
| returns a XdbcFirebirdTable object corresponding to the arguments

## Detailed Description

the XdbcFirebirdSqlUtilBase namespace contains all the objects in the XdbcFirebirdSqlUtilBase module